Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232775 - perl Image::Magick SIGSEGV on "set(magick=>'mono')"
Summary: perl Image::Magick SIGSEGV on "set(magick=>'mono')"
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ImageMagick
Version: 6
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: ---
Assignee: Norm Murray
QA Contact:
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-17 14:48 UTC by Marty Shannon
Modified: 2008-04-26 08:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-04-26 08:06:20 UTC


Attachments (Terms of Use)
perl script demonstrating bug (deleted)
2007-03-17 14:48 UTC, Marty Shannon
no flags Details

Description Marty Shannon 2007-03-17 14:48:58 UTC
Description of problem:
Segmentation violation manipulating valid JPG file.

Version-Release number of selected component (if applicable):
ImageMagick.x86_64                       6.2.8.0-3.fc6.1        installed       
ImageMagick.i386                         6.2.8.0-3.fc6.1        installed       
ImageMagick-c++.x86_64                   6.2.8.0-3.fc6.1        installed       
ImageMagick-c++.i386                     6.2.8.0-3.fc6.1        installed       
ImageMagick-c++-devel.x86_64             6.2.8.0-3.fc6.1        installed       
ImageMagick-c++-devel.i386               6.2.8.0-3.fc6.1        installed       
ImageMagick-devel.x86_64                 6.2.8.0-3.fc6.1        installed       
ImageMagick-perl.x86_64                  6.2.8.0-3.fc6.1        installed

How reproducible:
Always.

Steps to Reproduce:
1. Run attached perl script.

Actual results:
$ ./xxx.pl /usr/lib64/plt/collects/xml/XML.jpg
h: 32
w: 32
f: Joint Photographic Experts Group JFIF format
sample();
modulate();
blur();
normalize();
equalize();
sample();
threshold();
set(mono);
Segmentation fault


Expected results:
No Segmentation violation.

Additional info:

Comment 1 Marty Shannon 2007-03-17 14:48:58 UTC
Created attachment 150308 [details]
perl script demonstrating bug

Comment 2 Bug Zapper 2008-04-04 06:33:59 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Comment 3 Hans de Goede 2008-04-26 08:06:20 UTC
Short intro: I'm a new co-maintainer of ImageMagick and as such walking through
all open bugs.

I cannot reproduce this with current rawhide / F-9 (uisng xxx.pl and the same
.jpg file), and I therefore assume this is fixed, please reopen if you still
have issues.




Note You need to log in before you can comment on or make changes to this bug.